﻿using NLog;

namespace Server.System
{
    public class GItWebhook
    {
        private static readonly NLog.ILogger logger = LogManager.GetCurrentClassLogger();
        public static string Process(HttpContext context)
        {
            AbstractService abstractService;

            string Response;
            try
            {
                string eaDelivery = context.Request.Headers["X-Gitea-Delivery"];
                string eaEvent = context.Request.Headers["X-Gitea-Event"];
                string eaEventType = context.Request.Headers["X-Gitea-Event-Type"];
                string eaSignature = context.Request.Headers["X-Gitea-Signature"];

                Console.WriteLine($"X-Gitea-Delivery : {eaDelivery}");
                Console.WriteLine($"X-Gitea-Event : {eaEvent}");
                Console.WriteLine($"X-Gitea-Event-Type : {eaEventType}");
                Console.WriteLine($"X-Gitea-Signature : {eaSignature}");



                ErrorResp error = new ErrorResp();
                error.status = 200;
                error.message = "Success";
                Response = error.ToJson();
            }
            catch (RuntimeException ex)
            {
                ErrorResp error = new ErrorResp(ex);
                Response = error.ToJson();
                logger.Error("GetErrorResponse : " + Response);
            }
            catch (Exception ex)
            {
                ErrorResp error = new ErrorResp();
                Response = error.ToJson();
                logger.Error("GetErrorResponse : " + ex.ToString());
            }
            return Response;

        }
    }
}
